package com.srs.workstudy.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.workstudy.domain.QgzxMonthAssess;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 勤工助学月度考核Service接口
 *
 * @author srs
 * @date 2024-06-17
 */
public interface IQgzxMonthAssessService extends IService<QgzxMonthAssess> {


    public AjaxResult manyAssess(List<QgzxMonthAssess> param);

    public AjaxResult doAssess(QgzxMonthAssess param);


    /**
     * 查询勤工助学月度考核
     *
     * @param id 勤工助学月度考核主键
     * @return 勤工助学月度考核
     */
    public QgzxMonthAssess selectQgzxMonthAssessById(Long id);

    List<QgzxMonthAssess> listView(QgzxMonthAssess param);


    /**
     * 查询勤工助学月度考核列表
     *
     * @param qgzxMonthAssess 勤工助学月度考核
     * @return 勤工助学月度考核集合
     */
    List<QgzxMonthAssess> selectQgzxMonthAssessList(QgzxMonthAssess qgzxMonthAssess);

    /**
     * 新增勤工助学月度考核
     *
     * @param qgzxMonthAssess 勤工助学月度考核
     * @return 结果
     */
    int insertQgzxMonthAssess(QgzxMonthAssess qgzxMonthAssess);

    /**
     * 修改勤工助学月度考核
     *
     * @param qgzxMonthAssess 勤工助学月度考核
     * @return 结果
     */
    int updateQgzxMonthAssess(QgzxMonthAssess qgzxMonthAssess);

    /**
     * 批量删除勤工助学月度考核
     *
     * @param ids 需要删除的勤工助学月度考核主键集合
     * @return 结果
     */
    int deleteQgzxMonthAssessByIds(Long[] ids);

    /**
     * 删除勤工助学月度考核信息
     *
     * @param id 勤工助学月度考核主键
     * @return 结果
     */
    int deleteQgzxMonthAssessById(Long id);
}
